﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using HeuristicLab.Common;
using HeuristicLab.Core;
using HeuristicLab.Encodings.PermutationEncoding;
using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;

namespace HeuristicLab.Encodings.PackingEncoding.PackingSequence {
  [Item("PackingSequence", "Represents a packing sequence (permutation).")]
  [StorableClass]
  public class PackingSequence : Permutation {

    [StorableConstructor]
    private PackingSequence(bool deserializing) : base(deserializing) { }
    private PackingSequence(PackingSequence original, Cloner cloner) : base(original, cloner) { }
    public PackingSequence() { }

    public override IDeepCloneable Clone(Cloner cloner) {
      return new PackingSequence(this, cloner);
    }
  }
}
